*This file contains Macros for opening and closing libraries

*Contains;
* MACRO	LibraryOpen		(LibraryName, [LibraryAddress])
* MACRO	LibraryOpenE		(LibraryName, [LibraryAddress])
* MACRO	Clist_Library_Data
* MACRO	Console_Library_Data
* MACRO	Diskfont_Library_Data
* MACRO	Dos_Library_Data
* MACRO	Graphics_Library_Data
* MACRO	Icon_Library_Data
* MACRO	Int_Library_Data
* MACRO	Layers_Library_Data
* MACRO	Mathffp_Library_Data
* MACRO	Mathieee_Library_Data
* MACRO	Mathtrans_Library_Data
* MACRO	Potgo_Library_Data
* MACRO	Timer_Library_Data
* MACRO	Translator_Library_Data
* MACRO	LibraryClose		(LibraryAddress)
* MACRO	LibraryCloseE		(LibraryAddress)
* MACRO	Active			(LibraryAddress)
* MACRO	Call			(FunctionOffset)

	IFND	Exec_Base
Exec_Base	equ	4
	ENDC
	IFND	OpenLibrary
OpenLibrary	equ	-552
	ENDC
	IFND	CloseLibrary
CloseLibrary	equ	-414
	ENDC
	
LibraryOpen	MACRO			Open a library
	Active	Exec_Base		Execbase pointer
	move.l	#33,d0			Use version 1.2 or higher
	lea	\1,a1			Pointer to library name
	jsr	OpenLibrary(a6)
	move.l	d0,\2			Save pointer to library
	ENDM

LibraryOpenE	MACRO			EXECbase already in A6
	move.l	#33,d0			Use version 1.2 or higher
	lea	\1,a1
	jsr	OpenLibrary(a6)
	move.l	d0,\2
	ENDM

Clist_Library_Data		MACRO
CLIST_Name	dc.b	"clist.library",0
	even
Clist_Base	dc.l	0
	ENDM

Console_Library_Data		MACRO
CONSOLE_Name	dc.b	"console.library",0
	even
Console_Base	dc.l	0
	ENDM

Diskfont_Library_Data		MACRO
DISKFONT_Name	dc.b	"diskfont.library",0
	even
Diskfont_Base	dc.l	0
	ENDM

Dos_Library_Data		MACRO
DOS_Name	dc.b	"dos.library",0
	even
Dos_Base		dc.l	0
	ENDM

Graphics_Library_Data		MACRO
GRAPHICS_Name	dc.b	"graphics.library",0
	even
Graphics_Base	dc.l	0
	ENDM

Icon_Library_Data		MACRO
ICON_Name	dc.b	"icon.library",0
	even
Icon_Base	dc.l	0
	ENDM

Int_Library_Data		MACRO
INT_Name	dc.b	"intuition.library",0
	even
Int_Base	dc.l	0
	ENDM

Layers_Library_Data		MACRO
LAYERS_Name	dc.b	"layers.library",0
	even
Layers_Base	dc.l	0
	ENDM

Mathffp_Library_Data		MACRO
MATHFFP_Name	dc.b	"mathffp.library",0
	even
Mathffp_Base	dc.l	0
	ENDM

Mathieee_Library_Data		MACRO
MATHIEEE_Name	dc.b	"mathieeedoubbas.library",0
	even
Mathieee_Base	dc.l	0
	ENDM

Mathtrans_Libraru_Data		MACRO
MATHTRANS_Name	dc.b	"mathtrans.library",0
	even
Mathtrans_Base	dc.l	0
	ENDM

Potgo_Library_Data		MACRO
POTGO_Name	dc.b	"potgo.library",0
	even
Potgo_Base	dc.l	0
	ENDM

Timer_Library_Data		MACRO
TIMER_Name	dc.b	"timer.library",0
	even
Timer_Base	dc.l	0
	ENDM

Translator_Library_Data		MACRO
TRANSLATOR_Name	dc.b	"translator.library",0
	even
Translator_Base	dc.l	0
	ENDM

LibraryClose	MACRO
	Active	Exec_Base	pointer to EXECbase
	move.l	\1,a1		pointer to library
	jsr	CloseLibrary(a6)
	ENDM

LibraryCloseE	MACRO		EXECbase already in A6
	move.l	\1,a1
	jsr	CloseLibrary(a6)
	ENDM

Active		MACRO		Place library base address into a6
	move.l	\1,a6
	ENDM

Call		MACRO		Call library function
	jsr	\1(a6)
	ENDM
